﻿@using App.Class
@model IList<App.Class.TestArticle>

@{Html.RenderAction("SidemenuText", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        <div class="form-inline mt-2 mt-md-0">
            @using (Ajax.BeginForm("SearchTu", new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }))
            {
                <input class="form-control mr-sm-2" type="text" placeholder="Vyhledávání" aria-label="Vyhledejte frázi" id="searchBox" name="phrase">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" style="margin-right: 15px">Vyhledat</button>
            }
        </div>
        <label for="submit-button"></label>

        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">Článek</th>
                    <th scope="col">Autor článku</th>
                    <th scope="col">Test</th>
                </tr>
            </thead>

            <tbody>
                @foreach (TestArticle b in Model)
                {
                    <tr>
                        <td>@Ajax.ActionLink(b.Article.Name, "Detail", new { id = b.Article.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace })</td>
                        <td>@b.Article.Author</td>
                        @if (b.Article.TestId != 0 && b.Test.Published)
                        {
                            <td>@Ajax.ActionLink("Test", "Index", "Test", new { id = b.Article.TestId }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace })</td>
                        }
                        else
                        {
                            <td>Není</td>
                        }
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>

<script>
    $(function () {
            $("#searchBox").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url:'@Url.Action("SearchArticles", "Text")',
                        dataType: "json",
                        data: {
                            query: request.term
                        },
                        success: function (data) {
                            response(data);
                        }
                    });
                },
                minLength: 2
            });
    });
</script>